## org.eclipse.emf.ecore.xmi.impl
Class URIHandlerImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.URIHandlerImpl

All Implemented Interfaces:
  XMLResource.URIHandler

Direct Known Subclasses:
  ResourceEntityHandlerImpl, URIHandlerImpl.PlatformSchemeAware

    public class URIHandlerImpl

extends java.lang.Object
implements XMLResource.URIHandler

This is the basic implementation of the `URIHandler` interface. Implementations should extend this class to implement a specialized URI handler.

Nested Class Summary
`static class` `URIHandlerImpl.PlatformSchemeAware`

Field Summary
`protected URI` `baseURI`
`protected boolean` `resolve`

Constructor Summary
`URIHandlerImpl()`

Method Summary
`URI` `deresolve(URI uri)` Returns the URI `deresolved` against the base URI.
`URI` `resolve(URI uri)` Returns the URI `resolved` against the base URI.
`void` `setBaseURI(URI uri)` Sets base URI used by the handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseURI

    protected URI baseURI

### resolve

    protected boolean resolve

Constructor Detail

### URIHandlerImpl

    public URIHandlerImpl()

Method Detail

### setBaseURI

    public void setBaseURI(URI uri)

  Description copied from interface: `XMLResource.URIHandler`
  Sets base URI used by the handler. It will be called before load or save begins.

  Specified by:
    `setBaseURI` in interface `XMLResource.URIHandler`
  Parameters:
    `uri` - the new base URI.

### resolve

    public URI resolve(URI uri)

  Description copied from interface: `XMLResource.URIHandler`
  Returns the URI `resolved` against the base URI.

  Specified by:
    `resolve` in interface `XMLResource.URIHandler`
  Parameters:
    `uri` - the URI to resolve.
  Returns:
    the URI resolved against the base URI.
  See Also:
    `URI.resolve(URI)`

### deresolve

    public URI deresolve(URI uri)

  Description copied from interface: `XMLResource.URIHandler`
  Returns the URI `deresolved` against the base URI.

  Specified by:
    `deresolve` in interface `XMLResource.URIHandler`
  Parameters:
    `uri` - the URI to resolve.
  Returns:
    the URI resolved against the base URI.
  See Also:
    `URI.deresolve(URI)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.